{% set CodiceModulo = "RECLAMO_GEST_RIF" %}
{% set Urn = "document:c_a818:tassa.rifiuti;reclamo;trasmissione" %}
{% set Urn_procedimento = "tari.reclamo" %}
{% set allegati=[
  { "codice":"TAR-REC-DOC",
    "urn":"document:s_italia:tassa.rifiuti;reclamo;documentazione",
    "descrizione_tabella_allegati":"documentazione a supporto del reclamo",
    "annotazioni_tabella_allegati":"",
    "descrizione_meta":"", 
    "filename":"documentazione supporto reclamo",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"",
    "dynamic_check":"",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
  },
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Trasmissione di reclami, proposte migliorative relativo al servizio di gestione dei rifiuti urbani"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|28/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
  {% block visura_imm %}
    <meta codice_allegato="VIS-CAT-IMM"
    urn_allegato="document:s_italia:visura.catastale"
    descrizione_estesa="Visura catastale dell'immobile"
    filename="Visura catastale"
    firmatari="Titolare_CodiceFiscale"
    firmatari_label="il dichiarante"
    firmato="NO"
    name="GLOBO_allegato"
    numero="0"
    dimensione_massima="15"
    obbligatorio="DINAMICO"
    tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>
  {% endblock visura_imm %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Trasmissione di reclami, proposte migliorative relativo al servizio di gestione dei rifiuti urbani {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - reclami, proposte migliorative relativo servizio gestione rifiuti urbani'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Trasmissione di reclami, proposte migliorative relativo al servizio di gestione dei rifiuti urbani </div>
  <div class="title-2"> Ai sensi dell'allegato A alla Deliberazione ARERA 18/01/2022, n. 15 </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato
      Per il precaricamento del profilo utente settare campi_readonly = 'readonly' -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      campi_readonly="readonly", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="false", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> avente codice utente </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_CodiceUtente"> Codice utente (indicato sulle comunicazioni trasmesse dal Comune)</label>
      <input class="form-control" id="Parametri_CodiceUtente" name="Parametri_CodiceUtente" label="Codice utente">
    </div>
  </div>
</div>


{% block immobile %}

<input id="Immobile1_DatiImmobileRichiesti" name="Immobile1_DatiImmobileRichiesti" type="checkbox" style="display: none;" value="si" dynamic_check="true"/>
<input id="Immobile1_DatiCatastaliObbligatori" name="Immobile1_DatiCatastaliObbligatori" type="checkbox" style="display: none;" value="si" dynamic_check="true"/>
{{ immobili.immobile_secondario(prefix='Immobile1', 
                                intestazione="indirizzo dell'utenza", 
                                annotazioniSolo1="Collocazione immobile", 
                                visibility_intestazione="visibility:visibility", 
                                civico_obbligatorio="true", 
                                piano_obbligatorio="false", 
                                tipi_immobile=["unità immobiliare urbana", "particella terreni", "intero edificio"], 
                                subalterno_obbligatorio="false", 
                                categoria_obbligatoria="false", 
                                visibility_toponomastici="visibility:visibility", 
                                visibility_ulteriori_immobili="display:none") }}
{% endblock immobile %}

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_CodiceUtenza"> Codice utenza (indicato sulle comunicazioni trasmesse dal Comune) </label>
      <input class="form-control" id="Parametri_CodiceUtenza" name="Parametri_CodiceUtenza" label="Codice utenza">
    </div>
  </div>
</div>
<globo_salto_pagina></globo_salto_pagina>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> in relazione al servizio di  </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Servizio </label>
    </div>
  </div>
  {% set testi = [
    "raccolta e trasporto",
    "spazzamento e lavaggio delle strade",
    "gestione delle tariffe",
    "rapporto con gli utenti",
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Servizio" name="Tassonomia_Servizio" label="Servizio" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Servizio{{ loop.index }}" name="Tassonomia_Servizio" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Servizio{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" id="Tassonomia_Servizio5" name="Tassonomia_Servizio" type="radio" value="5">
      <label class="form-check-label text-justify" for="Tassonomia_Servizio5"> altro <span class="infoes"> (specificare) </span></label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="Tassonomia_Servizio5_Altro" name="Tassonomia_Servizio5_Altro" label="Altro" mandatory_enabled="#Tassonomia_Servizio5.checked()">
    </div>
  </div>
</div>

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> TRASMETTE </div>
</div>

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Trasmette" name="Tassonomia_Trasmette" label="Trasmette" mandatory_enabled="true"></div>
    <input class="form-check-input" group="Tassonomia_Trasmette" id="Tassonomia_Trasmette1" name="Tassonomia_Trasmette1" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Trasmette1"> il seguente reclamo relativo al servizio di gestione dei rifiuti urbani </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Parametri_DescrizioneReclamo"> Descrizione reclamo </label>
        <textarea class="form-control" id="Parametri_DescrizioneReclamo" name="Parametri_DescrizioneReclamo" label="Descrizione reclamo" mandatory_enabled="#Tassonomia_Trasmette1.checked()"></textarea>
      </div>
      <div class="form-group col-lg-12">
        <label for="Parametri_EventualiSuggerimenti"> Eventuali suggerimenti </label>
        <textarea class="form-control" id="Parametri_EventualiSuggerimenti" name="Parametri_EventualiSuggerimenti" label="Eventuali suggerimenti" enabled="#Tassonomia_Trasmette1.checked()"></textarea>
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Tassonomia_Trasmette" id="Tassonomia_Trasmette2" name="Tassonomia_Trasmette2" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Trasmette2"> la seguente richiesta di rettifica degli importi addebitati </label>
    <div class="form-row">
      <div class="form-group col-lg-12">
        <label for="Parametri_Descrizione"> Descrizione rettifica </label>
        <textarea class="form-control" id="Parametri_Descrizione" name="Parametri_Descrizione" label="Descrizione reclamo" mandatory_enabled="#Tassonomia_Trasmette2.checked()"></textarea>
      </div>
      <div class="form-group col-lg-12">
        <label for="Parametri_IntestatarioContoCorrente"> Intestatario del conto corrente </label>
        <input class="form-control" id="Parametri_IntestatarioContoCorrente" name="Parametri_IntestatarioContoCorrente" label="Intestatario del conto corrente" mandatory_enabled="#Tassonomia_Trasmette2.checked()">
      </div>
      <div class="form-group col-lg-12">
        <label for="Parametri_IstitutoCredito"> Istituto di credito </label>
        <input class="form-control" id="Parametri_IstitutoCredito" name="Parametri_IstitutoCredito" label="Istituto di credito" mandatory_enabled="#Tassonomia_Trasmette2.checked()">
      </div>
      <div class="form-group col-lg-12">
        <label for="Parametri_IBAN"> Iban per l’accredito degli importi addebitati </label>
        <input class="form-control" id="Parametri_IBAN" name="Parametri_IBAN" label="Iban per l’accredito degli importi addebitati" mandatory_enabled="#Tassonomia_Trasmette2.checked()" format="iban">
      </div>
    </div>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>
<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>
<input id="GLOBO_allegato_cVIS-CAT-IMM" name="GLOBO_allegato_cVIS-CAT-IMM" type="hidden" value="" obbligatorio="(#Immobile1_Visura.checked()) ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}